SUBROUTINE BadImageList(layercount, layer, badfilelist, numbadfile)
!       Image Quality Measure (IQM) Program                                                                                       
!       Copyright, THE MITRE Corporation 1992 - 2007                                                                              
!       see Data Rights Notice in HELP SUBROUTINE  

USE GLOBALDATA

CHARACTER(100) :: badfilelist(100) 
CHARACTER(7) :: layer

INTENT (IN) :: layer
INTENT (OUT) :: layercount
INTENT (INOUT) :: badfilelist, numbadfile

PRINT*, ' '
numbadfile = numbadfile + 1

IF(numbadfile > 50) THEN
	PRINT*, ' '
	PRINT*, ' '
	PRINT*, 'QUITTING:  > 50 images cannot be processed'
	PRINT*, '           check imagefile location, auxdatafile setup, available memory, etc.'
	STOP
ENDIF

badfilelist(numbadfile) = TRIM(imgID)
layercount = 1

IF(ALLOCATED(image))   DEALLOCATE(image)
IF(ALLOCATED(power))   DEALLOCATE(power)
IF(ALLOCATED(datar))   DEALLOCATE(datar)
IF(ALLOCATED(datai))   DEALLOCATE(datai)
IF(ALLOCATED(workr))   DEALLOCATE(workr)
IF(ALLOCATED(worki))   DEALLOCATE(worki)


END SUBROUTINE BadImageList
